unit U_Quadrangular;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, jpeg, ExtCtrls, StdCtrls, Mask, DBCtrls;

type
  TfrmQuadrangular = class(TForm)
    MainMenu1: TMainMenu;
    Cadastro1: TMenuItem;
    Relatrios1: TMenuItem;
    Sair1: TMenuItem;
    Membros1: TMenuItem;
    Grupos1: TMenuItem;
    N1: TMenuItem;
    Sair2: TMenuItem;
    foto: TImage;
    Configurao1: TMenuItem;
    Pesquisar1: TMenuItem;
    EditLogin: TEdit;
    Edit1: TEdit;
    Edit2: TEdit;
    DBEdit1: TDBEdit;
    Edit3: TEdit;
    procedure Membros1Click(Sender: TObject);
    procedure Grupos1Click(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
    procedure Sair2Click(Sender: TObject);
    procedure Configurao1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Pesquisar1Click(Sender: TObject);
    procedure Relatrios1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmQuadrangular: TfrmQuadrangular;

implementation

uses U_Membros, urel_membros, U_con_Membros, U_Grupos, U_configuracao,
  U_relConMembros, U_login, UDM_dados;

{$R *.dfm}

procedure TfrmQuadrangular.Membros1Click(Sender: TObject);
begin
frmMembros.Show;
end;

procedure TfrmQuadrangular.Grupos1Click(Sender: TObject);
begin           
frm_grupo.Show;
end;

procedure TfrmQuadrangular.Sair1Click(Sender: TObject);
begin
 close;
end;

procedure TfrmQuadrangular.Sair2Click(Sender: TObject);
begin
   close;
end;

procedure TfrmQuadrangular.Configurao1Click(Sender: TObject);
begin
frmConfSist.Button3.Visible:= true;
frmConfSist.Show ;
end;

procedure TfrmQuadrangular.FormActivate(Sender: TObject);

begin

frmQuadrangular.foto.Picture.LoadFromFile(frmConfSist.DBEdit20.Text);
frmRelConsMembros.QRImage1.Picture.LoadFromFile(frmConfSist.DBEdit20.Text);
frmRelMembros.QRImage1.Picture.LoadFromFile(frmConfSist.DBEdit20.Text);

frmQuadrangular.Caption := frmConfSist.DBEdit4.Text ;

frmRelMembros.QRLabel4.Caption := frmConfSist.DBEdit7.Text  ;
frmRelMembros.QRLabel5.Caption := frmConfSist.DBEdit8.Text  ;
frmRelMembros.QRLabel6.Caption := frmConfSist.DBEdit9.Text  ;
frmRelMembros.QRLabel7.Caption := frmConfSist.DBEdit11.Text  ;
frmRelMembros.QRLabel8.Caption := frmConfSist.DBEdit10.Text  ;
frmRelMembros.QRLabel9.Caption := frmConfSist.DBEdit12.Text  ;
frmRelMembros.QRLabel10.Caption := frmConfSist.DBEdit18.Text  ;

frmRelConsMembros.QRLabel4.Caption := frmConfSist.DBEdit7.Text  ;
frmRelConsMembros.QRLabel5.Caption := frmConfSist.DBEdit8.Text  ;
frmRelConsMembros.QRLabel6.Caption := frmConfSist.DBEdit9.Text  ;
frmRelConsMembros.QRLabel7.Caption := frmConfSist.DBEdit11.Text  ;
frmRelConsMembros.QRLabel8.Caption := frmConfSist.DBEdit10.Text  ;
{frmRelConsMembros.QRLabel9.Caption := frmConfSist.DBEdit12.Text  ;
frmRelConsMembros.QRLabel10.Caption := frmConfSist.DBEdit18.Text  ;}
  if StrToInt(EditLogin.Text) = 0 then
   frm_Login.Show ;


end ;


procedure TfrmQuadrangular.Pesquisar1Click(Sender: TObject);
begin
frmCons_Membros.Show;
end;

procedure TfrmQuadrangular.Relatrios1Click(Sender: TObject);
begin
frmRelMembros.QRLabel2.Caption := frmConfSist.DBEdit4.Text ;
  frmRelMembros.QuickRep1.Preview;
end;

end.
